summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-board/scid
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-board/scid')
-rw-r--r--games-board/scid/Manifest7
-rw-r--r--games-board/scid/files/scid-4.5.2-gentoo.patch160
-rw-r--r--games-board/scid/files/scid-4.6.0-gentoo.patch124
-rw-r--r--games-board/scid/files/scid-4.6.2-gentoo.patch127
-rw-r--r--games-board/scid/metadata.xml8
-rw-r--r--games-board/scid/scid-4.5.2.ebuild102
-rw-r--r--games-board/scid/scid-4.6.0.ebuild101
-rw-r--r--games-board/scid/scid-4.6.2.ebuild101
8 files changed, 730 insertions, 0 deletions
diff --git a/games-board/scid/Manifest b/games-board/scid/Manifest
new file mode 100644
index 00000000000..08c955dc296
--- /dev/null
+++ b/games-board/scid/Manifest
@@ -0,0 +1,7 @@
+DIST Scid-4.5.2.zip 10271344 SHA256 9e371e78c9fa43cbda4d5851b6bad35f72f3f4f538c4bb9b28667d8ba59bbf43 SHA512 161c2ff1b1808c7e6d4ee02b527251d935b4554546385e336c3f7370a1c47891e31b975d59f5da0ed39175365f53b3400c1fffd550ea40caa090f87fbfbe62b7 WHIRLPOOL 7a362d22588542ce96e4b0d9df03a810bfe4c618329958838261eec5dca9431534dedbd58626e335c7c6d266beec1f1e2e1c695f4f903b3d739ecdb7a92cbb3d
+DIST photos.zip 1007488 SHA256 21aca2673df908a5960875872f127e0393bda0ef1db31003dd1c0d31583ff5a4 SHA512 c04fc810b457d4dbd9a9cfaac90feaa8c32a2abee05e28a79042ae81cb01e8580e2a1cf0abeff230ec2928da883f862b8901d679cb1448fd9ca0923323fbddd6 WHIRLPOOL dbbb8dd4ae37f0d84be929f09e6b583553b6c1cb6e866806388c61c54c09fb31b2a82baa6119b614416aa36dfc5250e63ac9afabbe6c561dcad8e71fe13caa99
+DIST ratings.zip 969347 SHA256 bb41a1bf35314231201d2f7d635497002b9dbc6d0f896a611239587a8c1b2830 SHA512 9b2a7280a7e72e2b464cc3da6be82ec9825b11d3c7e2219ab03a711c69f185f7d954eb3acdd441bff210e9296613df79a7e147a2ccbb4ed37b50af762abbd243 WHIRLPOOL a2b9ece83e167f0e1b330e1aa31cc46aa2cc79c3d124f1bcbd0f0edc7f9d434d210fdc78467efd1b7acb6f299a6f3440bc8599c5d7c62a55e5dc694685e56575
+DIST scid-4.6.0.zip 9868031 SHA256 09b46a262aba51b70d51efdca83b98ce2995ff0a27313c2d811be71443a2db4e SHA512 f05efa64df96c6fe0c2569ce69b30a1527ec97ea27e9207785e6ccfa3a9cd2bebea7837e5f1eddbafb826e17b3c464f8f5ec692f990614bb60f427c8530d89c4 WHIRLPOOL 7286e6de5686041fcfaed35f38d1afecdc795a50d3d2faa4b07fab36f1b7b714cb18e08c69e59e40b5fc0d75b474e1e3e119f24f3e489c23435618577e5ff824
+DIST scid-4.6.2.zip 9768139 SHA256 4c04a7ce8fb44ded1af17aacf7950d8aeab4eb962dd76486dbf4a69307743af7 SHA512 d33f730857362dfefe55aaf395b0fc42087e190743ed63072128509fc6ac33791a4c2f67f89f03ec39170660fc6b7a6804fea084b383cf97cbb21661ce0569b2 WHIRLPOOL a8024ecab40aaf461b33237b362d9efb86c513bf5a49f8b2a64965cdbd1cce5b1f984636779dcab330efdf0adea958b4e45f051093d8c9c446288602951f987f
+DIST scidlet40k.zip 242632 SHA256 fbab2a31e37f2d606140144ac1086ece035b991a756eef804a660c8ecb0f56bb SHA512 e8cb4ca276ca94378f224fad972b0659f3e8159668fa395dcae4be1de6cdd9d29082fdddba393bbea6c909bab4f388042ea05c7dff41edf850d731bc7479850d WHIRLPOOL f0965d6197518c5dda62d5ff73e1052ced68487a738d288522fdb649aab8a63de1b34e0392c7479885164f4245bc8c33618d0206905ba9d2a9cf0ce2e46f9d54
+DIST spelling.zip 3147998 SHA256 63d8c8f7b99f6b6d5a4b6d4b0cd0a8e279f19173c98de3a989d7b05ee7dde624 SHA512 394a8835f23336b6f4bebe4e33ab9f64ffa505e9d9bb984de82396e671df0b57b088aab28c5cf648c1a11bc28370b431cb6db54765ac4ab6056a707276ba8f42 WHIRLPOOL f83ecfa03a817f491f25d48fc461156d1b8aea86e800e4ff7dcaa2a233958c7b4b9979d330fe71ba39028554206ec51f7e39344b7ff01194b3ed3fc949fbfbac
diff --git a/games-board/scid/files/scid-4.5.2-gentoo.patch b/games-board/scid/files/scid-4.5.2-gentoo.patch
new file mode 100644
index 00000000000..ce388e73a1f
--- /dev/null
+++ b/games-board/scid/files/scid-4.5.2-gentoo.patch
@@ -0,0 +1,160 @@
+--- engines/togaII1.2.1a/src/Makefile.old
++++ engines/togaII1.2.1a/src/Makefile
+@@ -18,23 +18,16 @@
+
+ # general
+
+-CXX = g++
+-CXXFLAGS = -pipe -Wall
+-LDFLAGS = -lm
+
+ # C++
+
+-CXXFLAGS += -fno-exceptions -fno-rtti
+
+ # optimisation
+
+-CXXFLAGS += -O3 -fstrict-aliasing
+-CXXFLAGS += -fomit-frame-pointer
+ # CXXFLAGS += -march=athlon-xp # SELECT ME
+
+ # strip
+
+-LDFLAGS += -s
+
+ # dependencies
+
+--- tcl/utils/sound.tcl.old
++++ tcl/utils/sound.tcl
+@@ -41,7 +41,7 @@
+ variable soundFolder
+
+ ::splash::add "Setting up audio move announcement..."
+- if {[catch {package require snack 2.0}]} {
++ if {[catch {package require snack}]} {
+ set hasSnackPackage 0
+ ::splash::add " Move speech disabled - Snack sound package not found"
+ return
+--- Makefile.conf.old
++++ Makefile.conf
+@@ -193,7 +193,7 @@
+ # Small extra programs. Most are written in Tcl using tkscid, but
+ # a few contributed ones may be in Python or other languages.
+ #
+-SCRIPTS= sc_addmove sc_epgn sc_spell sc_eco sc_import sc_remote sc_tree scidpgn pgnfix spliteco spf2spi
++SCRIPTS= sc_addmove sc_epgn sc_spell sc_eco sc_import sc_remote sc_tree scidpgn pgnfix eco2pgn spliteco spf2spi
+
+ ####################
+
+@@ -218,25 +218,25 @@
+ install: $(INSTALL)
+
+ install_scid: all_scid
+- install -m 755 -d $(SHAREDIR)
+- install -m 755 -d $(BINDIR)
+- install -m 755 scid $(SCRIPTS) $(EXECS) $(BINDIR)
+- install -m 644 -p scid.eco $(SHAREDIR)
+- install -m 755 -d $(SHAREDIR)/books
+- install -m 666 ./books/*.* $(SHAREDIR)/books/
+- install -m 755 -d $(SHAREDIR)/bases
+- if test -d ./bases; then install -m 666 ./bases/*.* $(SHAREDIR)/bases/ ; fi
+- install -m 755 -d $(SHAREDIR)/html
+- cp -r ./html/* $(SHAREDIR)/html/
+- install -m 755 -d $(SHAREDIR)/img/
+- cp -r ./img/* $(SHAREDIR)/img/
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)"
++ install -m 755 -d "$(DESTDIR)$(BINDIR)"
++ install -m 755 scid $(SCRIPTS) $(EXECS) "$(DESTDIR)$(BINDIR)"
++ install -m 644 -p scid.eco "$(DESTDIR)$(SHAREDIR)"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/books"
++ install -m 666 ./books/*.* "$(DESTDIR)$(SHAREDIR)/books/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/bases"
++ if test -d ./bases; then install -m 666 ./bases/*.* "$(DESTDIR)$(SHAREDIR)/bases/" ; fi
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/html"
++ cp -r ./html/* "$(DESTDIR)$(SHAREDIR)/html/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/img/"
++ cp -r ./img/* "$(DESTDIR)$(SHAREDIR)/img/"
+
+ install_engines: all_engines
+- install -m 755 -d $(SHAREDIR)/engines
+- install -m 755 -d $(SHAREDIR)/engines/phalanx-scid
+- install ./engines/phalanx-scid/phalanx-scid $(SHAREDIR)/engines/phalanx-scid
+- install -m 755 -d $(SHAREDIR)/engines/togaII1.2.1a
+- install ./engines/togaII1.2.1a/src/togaII $(SHAREDIR)/engines/togaII1.2.1a/
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines/phalanx-scid"
++ install ./engines/phalanx-scid/phalanx-scid "$(DESTDIR)$(SHAREDIR)/engines/phalanx-scid"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines/togaII1.2.1a"
++ install ./engines/togaII1.2.1a/src/togaII "$(DESTDIR)$(SHAREDIR)/engines/togaII1.2.1a/"
+
+ install_mac: all
+ install -m 755 -d dist/Scid.app/Contents/MacOS
+@@ -288,25 +288,25 @@
+ hdiutil create -fs "HFS+" -volname Scid -srcfolder dist "Scid $(SCID_VERSION) (`sw_vers -productName` `sw_vers -productVersion` `uname -p`).dmg"
+
+ uninstall:
+- rm -rf $(SHAREDIR)/engines
+- rm -rf $(SHAREDIR)/books
+- rm -rf $(SHAREDIR)/bases
+- rm -rf $(SHAREDIR)/data/
+- rm -f $(SHAREDIR)/data/scid.eco
+- rm -f $(BINDIR)/scid $(BINDIR)/sc_addmove $(BINDIR)/sc_epgn
+- rm -f $(BINDIR)/sc_spell $(BINDIR)/sc_eco $(BINDIR)/sc_import
+- rm -f $(BINDIR)/sc_remote $(BINDIR)/sc_tree $(BINDIR)/scidpgn
+- rm -f $(BINDIR)/pgnfix $(BINDIR)/spliteco
+- rm -f $(BINDIR)/pgnscid $(BINDIR)/tkscid
+- rm -f $(BINDIR)/scmerge $(BINDIR)/scidlet
+- rm -rf $(SHAREDIR)/html
++ rm -rf "$(DESTDIR)$(SHAREDIR)/engines"
++ rm -rf "$(DESTDIR)$(SHAREDIR)/books"
++ rm -rf "$(DESTDIR)$(SHAREDIR)/bases"
++ rm -rf "$(DESTDIR)$(SHAREDIR)/data/"
++ rm -f "$(DESTDIR)$(SHAREDIR)/data/scid.eco"
++ rm -f "$(DESTDIR)$(BINDIR)/scid $(BINDIR)/sc_addmove" "$(DESTDIR)$(BINDIR)/sc_epgn"
++ rm -f "$(DESTDIR)$(BINDIR)/sc_spell" "$(DESTDIR)$(BINDIR)/sc_eco" "$(DESTDIR)$(BINDIR)/sc_import"
++ rm -f "$(DESTDIR)$(BINDIR)/sc_remote" "$(DESTDIR)$(BINDIR)/sc_tree" "$(DESTDIR)$(BINDIR)/scidpgn"
++ rm -f "$(DESTDIR)$(BINDIR)/pgnfix" "$(DESTDIR)$(BINDIR)/spliteco"
++ rm -f "$(DESTDIR)$(BINDIR)/pgnscid" "$(DESTDIR)$(BINDIR)/tkscid"
++ rm -f "$(DESTDIR)$(BINDIR)/scmerge" "$(DESTDIR)$(BINDIR)/scidlet"
++ rm -rf "$(DESTDIR)$(SHAREDIR)/html"
+
+ ### To remove Scid files placed in the BINDIR and SHAREDIR directories,
+ # type "make distclean".
+ #
+ distclean:
+- cd $(BINDIR) && rm -f $(EXECS) $(SCRIPTS)
+- -rm -f $(SHAREDIR)/scid.eco
++ cd $(DESTDIR)$(BINDIR) && rm -f "$(EXECS)" "$(SCRIPTS)"
++ -rm -f "$(DESTDIR)$(SHAREDIR)/scid.eco"
+
+ ### To remove object and executable files: type "make clean".
+ #
+--- tcl/start.tcl.old
++++ tcl/start.tcl
+@@ -186,7 +186,7 @@
+
+ # scidShareDir, scidImgDir, scidBooksDir, scidBasesDir, ecoFile:
+ # Location of Scid resources
+- set scidShareDir [file normalize [file join $scidExeDir "../share/scid"]]
++ set scidShareDir "@GENTOO_DATADIR@"
+ if {! [file isdirectory $::scidShareDir]} {
+ set scidShareDir $::scidExeDir
+ }
+@@ -849,7 +849,7 @@
+
+ ### Audio move announcement options:
+
+-set ::utils::sound::soundFolder [file nativename [file join $::scidExeDir sounds]]
++set ::utils::sound::soundFolder "@GENTOO_DATADIR@/sounds"
+ set ::utils::sound::announceNew 0
+ set ::utils::sound::announceForward 0
+ set ::utils::sound::announceBack 0
+@@ -858,7 +858,7 @@
+ if {$windowsOS} {
+ set spellCheckFile [file join $scidDataDir "spelling.ssp"]
+ } else {
+- set spellCheckFile "/usr/local/share/scid/spelling.ssp"
++ set spellCheckFile "@GENTOO_DATADIR@/spelling.ssp"
+ }
+
+ # book configuration
diff --git a/games-board/scid/files/scid-4.6.0-gentoo.patch b/games-board/scid/files/scid-4.6.0-gentoo.patch
new file mode 100644
index 00000000000..a6f525ad8c3
--- /dev/null
+++ b/games-board/scid/files/scid-4.6.0-gentoo.patch
@@ -0,0 +1,124 @@
+--- scid-4.6.0.orig/engines/togaII1.2.1a/src/Makefile
++++ scid-4.6.0/engines/togaII1.2.1a/src/Makefile
+@@ -18,23 +18,16 @@
+
+ # general
+
+-CXX = g++
+-CXXFLAGS = -pipe -Wall
+-LDFLAGS = -lm
+
+ # C++
+
+-CXXFLAGS += -fno-exceptions -fno-rtti
+
+ # optimisation
+
+-CXXFLAGS += -O3 -fstrict-aliasing
+-CXXFLAGS += -fomit-frame-pointer
+ # CXXFLAGS += -march=athlon-xp # SELECT ME
+
+ # strip
+
+-LDFLAGS += -s
+
+ # dependencies
+
+--- scid-4.6.0.orig/Makefile.conf
++++ scid-4.6.0/Makefile.conf
+@@ -157,32 +157,31 @@
+ install: $(INSTALL)
+
+ install_scid: all_scid
+- install -m 755 -d "$(SHAREDIR)"
+- install -m 755 -d "$(BINDIR)"
+- install -m 755 $(SCRIPTS) $(EXECS) "$(BINDIR)"
+- rm -f "$(BINDIR)/scid"
+- @echo "#!/bin/sh" > "$(BINDIR)/scid"
+- @echo 'exec "$(BINDIR)/tkscid" "$(SHAREDIR)/tcl/start.tcl" "$$@"' >> "$(BINDIR)/scid"
+- chmod 755 "$(BINDIR)/scid"
+- chmod +x "$(BINDIR)/scid"
+- install -m 644 -p scid.eco "$(SHAREDIR)"
+- install -m 755 -d "$(SHAREDIR)/books"
+- install -m 666 ./books/*.* "$(SHAREDIR)/books/"
+- install -m 755 -d "$(SHAREDIR)/bases"
+- if test -d ./bases; then install -m 666 ./bases/*.* "$(SHAREDIR)/bases/" ; fi
+- install -m 755 -d "$(SHAREDIR)/html"
+- cp -r ./html/* "$(SHAREDIR)/html/"
+- install -m 755 -d "$(SHAREDIR)/img/"
+- cp -r ./img/* "$(SHAREDIR)/img/"
+- install -m 755 -d "$(SHAREDIR)/tcl/"
+- cp -r ./tcl/* "$(SHAREDIR)/tcl/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)"
++ install -m 755 -d "$(DESTDIR)$(BINDIR)"
++ install -m 755 $(SCRIPTS) $(EXECS) "$(DESTDIR)$(BINDIR)"
++ @echo "#!/bin/sh" > "$(DESTDIR)$(BINDIR)/scid"
++ @echo 'exec "$(BINDIR)/tkscid" "$(SHAREDIR)/tcl/start.tcl" "$$@"' >> "$(DESTDIR)$(BINDIR)/scid"
++ chmod 755 "$(DESTDIR)$(BINDIR)/scid"
++ chmod +x "$(DESTDIR)$(BINDIR)/scid"
++ install -m 644 -p scid.eco "$(DESTDIR)$(SHAREDIR)"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/books"
++ install -m 666 ./books/*.* "$(DESTDIR)$(SHAREDIR)/books/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/bases"
++ if test -d ./bases; then install -m 666 ./bases/*.* "$(DESTDIR)$(SHAREDIR)/bases/" ; fi
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/html"
++ cp -r ./html/* "$(DESTDIR)$(SHAREDIR)/html/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/img/"
++ cp -r ./img/* "$(DESTDIR)$(SHAREDIR)/img/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/tcl/"
++ cp -r ./tcl/* "$(DESTDIR)$(SHAREDIR)/tcl/"
+
+ install_engines: all_engines
+- install -m 755 -d "$(SHAREDIR)/engines"
+- install -m 755 -d "$(SHAREDIR)/engines/phalanx-scid"
+- install ./engines/phalanx-scid/phalanx-scid "$(SHAREDIR)/engines/phalanx-scid"
+- install -m 755 -d "$(SHAREDIR)/engines/togaII1.2.1a"
+- install ./engines/togaII1.2.1a/src/togaII "$(SHAREDIR)/engines/togaII1.2.1a/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines/phalanx-scid"
++ install ./engines/phalanx-scid/phalanx-scid "$(DESTDIR)$(SHAREDIR)/engines/phalanx-scid"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines/togaII1.2.1a"
++ install ./engines/togaII1.2.1a/src/togaII "$(DESTDIR)$(SHAREDIR)/engines/togaII1.2.1a/"
+
+ install_mac: all
+ install -m 755 -d dist/Scid.app/Contents/MacOS
+--- scid-4.6.0.orig/tcl/start.tcl
++++ scid-4.6.0/tcl/start.tcl
+@@ -93,7 +93,7 @@
+
+ # scidShareDir, scidImgDir, scidTclDir, scidBooksDir, scidBasesDir, ecoFile:
+ # Location of Scid resources
+- set scidShareDir [file normalize [file join $scidExeDir "../share/scid"]]
++ set scidShareDir "@GENTOO_DATADIR@"
+ if {! [file isdirectory $::scidShareDir]} {
+ set scidShareDir $::scidExeDir
+ }
+@@ -785,7 +785,7 @@
+ }
+
+ ### Audio move announcement options:
+-set ::utils::sound::soundFolder [file nativename [file join $::scidExeDir sounds]]
++set ::utils::sound::soundFolder "@GENTOO_DATADIR@/sounds"
+ set ::utils::sound::announceNew 0
+ set ::utils::sound::announceForward 0
+ set ::utils::sound::announceBack 0
+@@ -794,7 +794,7 @@
+ if {$windowsOS} {
+ set spellCheckFile [file join $scidDataDir "spelling.ssp"]
+ } else {
+- set spellCheckFile "/usr/local/share/scid/spelling.ssp"
++ set spellCheckFile "@GENTOO_DATADIR@//spelling.ssp"
+ }
+
+ # book configuration
+--- scid-4.6.0.orig/tcl/utils/sound.tcl
++++ scid-4.6.0/tcl/utils/sound.tcl
+@@ -43,7 +43,7 @@
+ variable soundFolder
+
+ set hasSound 1
+- if {[catch {package require snack 2.0}]} {
++ if {[catch {package require snack}]} {
+ if {$::windowsOS} {
+ catch {
+ set ::utils::sound::pipe [open "| scidsnd.exe" "r+"]
diff --git a/games-board/scid/files/scid-4.6.2-gentoo.patch b/games-board/scid/files/scid-4.6.2-gentoo.patch
new file mode 100644
index 00000000000..6afd56b5bad
--- /dev/null
+++ b/games-board/scid/files/scid-4.6.2-gentoo.patch
@@ -0,0 +1,127 @@
+--- scid-4.6.1.orig/engines/togaII1.2.1a/src/Makefile
++++ scid-4.6.1/engines/togaII1.2.1a/src/Makefile
+@@ -18,23 +18,16 @@
+
+ # general
+
+-CXX = g++
+-CXXFLAGS = -pipe -Wall
+-LDFLAGS = -lm
+
+ # C++
+
+-CXXFLAGS += -fno-exceptions -fno-rtti
+
+ # optimisation
+
+-CXXFLAGS += -O3 -fstrict-aliasing
+-CXXFLAGS += -fomit-frame-pointer
+ # CXXFLAGS += -march=athlon-xp # SELECT ME
+
+ # strip
+
+-LDFLAGS += -s
+
+ # dependencies
+
+--- scid-4.6.1.orig/Makefile.conf
++++ scid-4.6.1/Makefile.conf
+@@ -157,32 +157,32 @@
+ install: $(INSTALL)
+
+ install_scid: all_scid
+- install -m 755 -d "$(SHAREDIR)"
+- install -m 755 -d "$(BINDIR)"
+- install -m 755 $(SCRIPTS) $(EXECS) "$(BINDIR)"
+- rm -f "$(BINDIR)/scid"
+- @echo "#!/bin/sh" > "$(BINDIR)/scid"
+- @echo 'exec "$(BINDIR)/tkscid" "$(SHAREDIR)/tcl/start.tcl" "$$@"' >> "$(BINDIR)/scid"
+- chmod 755 "$(BINDIR)/scid"
+- chmod +x "$(BINDIR)/scid"
+- install -m 644 -p scid.eco "$(SHAREDIR)"
+- install -m 755 -d "$(SHAREDIR)/books"
+- install -m 666 ./books/*.* "$(SHAREDIR)/books/"
+- install -m 755 -d "$(SHAREDIR)/bases"
+- if test -d ./bases; then install -m 666 ./bases/*.* "$(SHAREDIR)/bases/" ; fi
+- install -m 755 -d "$(SHAREDIR)/html"
+- cp -r ./html/* "$(SHAREDIR)/html/"
+- install -m 755 -d "$(SHAREDIR)/img/"
+- cp -r ./img/* "$(SHAREDIR)/img/"
+- install -m 755 -d "$(SHAREDIR)/tcl/"
+- cp -r ./tcl/* "$(SHAREDIR)/tcl/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)"
++ install -m 755 -d "$(DESTDIR)$(BINDIR)"
++ install -m 755 $(SCRIPTS) $(EXECS) "$(DESTDIR)$(BINDIR)"
++ rm -f "$(DESTDIR)$(BINDIR)/scid"
++ @echo "#!/bin/sh" > "$(DESTDIR)$(BINDIR)/scid"
++ @echo 'exec "$(BINDIR)/tkscid" "$(SHAREDIR)/tcl/start.tcl" "$$@"' >> "$(DESTDIR)$(BINDIR)/scid"
++ chmod 755 "$(DESTDIR)$(BINDIR)/scid"
++ chmod +x "$(DESTDIR)$(BINDIR)/scid"
++ install -m 644 -p scid.eco "$(DESTDIR)$(SHAREDIR)"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/books"
++ install -m 666 ./books/*.* "$(DESTDIR)$(SHAREDIR)/books/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/bases"
++ if test -d ./bases; then install -m 666 ./bases/*.* "$(DESTDIR)$(SHAREDIR)/bases/" ; fi
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/html"
++ cp -r ./html/* "$(DESTDIR)$(SHAREDIR)/html/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/img/"
++ cp -r ./img/* "$(DESTDIR)$(SHAREDIR)/img/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/tcl/"
++ cp -r ./tcl/* "$(DESTDIR)$(SHAREDIR)/tcl/"
+
+ install_engines: all_engines
+- install -m 755 -d "$(SHAREDIR)/engines"
+- install -m 755 -d "$(SHAREDIR)/engines/phalanx-scid"
+- install ./engines/phalanx-scid/phalanx-scid "$(SHAREDIR)/engines/phalanx-scid"
+- install -m 755 -d "$(SHAREDIR)/engines/togaII1.2.1a"
+- install ./engines/togaII1.2.1a/src/togaII "$(SHAREDIR)/engines/togaII1.2.1a/"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines/phalanx-scid"
++ install ./engines/phalanx-scid/phalanx-scid "$(DESTDIR)$(SHAREDIR)/engines/phalanx-scid"
++ install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines/togaII1.2.1a"
++ install ./engines/togaII1.2.1a/src/togaII "$(DESTDIR)$(SHAREDIR)/engines/togaII1.2.1a/"
+
+ install_mac: all
+ install -m 755 -d dist/Scid.app/Contents/MacOS
+--- scid-4.6.1.orig/tcl/options.tcl
++++ scid-4.6.1/tcl/options.tcl
+@@ -598,7 +598,7 @@
+ }
+
+ ### Audio move announcement options:
+-set ::utils::sound::soundFolder [file nativename [file join $::scidExeDir sounds]]
++set ::utils::sound::soundFolder "@GENTOO_DATADIR@/sounds"
+ set ::utils::sound::announceNew 0
+ set ::utils::sound::announceForward 0
+ set ::utils::sound::announceBack 0
+@@ -607,7 +607,7 @@
+ if {$windowsOS} {
+ set spellCheckFile [file join $scidExeDir "spelling.ssp"]
+ } else {
+- set spellCheckFile "/usr/local/share/scid/spelling.ssp"
++ set spellCheckFile "@GENTOO_DATADIR@/spelling.ssp"
+ }
+
+ # book configuration
+--- scid-4.6.1.orig/tcl/start.tcl
++++ scid-4.6.1/tcl/start.tcl
+@@ -93,7 +93,7 @@
+
+ # scidShareDir, scidImgDir, scidTclDir, scidBooksDir, scidBasesDir, ecoFile:
+ # Location of Scid resources
+- set scidShareDir [file normalize [file join $scidExeDir "../share/scid"]]
++ set scidShareDir "@GENTOO_DATADIR@"
+ if {! [file isdirectory $::scidShareDir]} {
+ set scidShareDir $::scidExeDir
+ }
+--- scid-4.6.1.orig/tcl/utils/sound.tcl
++++ scid-4.6.1/tcl/utils/sound.tcl
+@@ -43,7 +43,7 @@
+ variable soundFolder
+
+ set hasSound 1
+- if {[catch {package require snack 2.0}]} {
++ if {[catch {package require snack}]} {
+ if {$::windowsOS} {
+ catch {
+ set ::utils::sound::pipe [open "| scidsnd.exe" "r+"]
diff --git a/games-board/scid/metadata.xml b/games-board/scid/metadata.xml
new file mode 100644
index 00000000000..031fb161aca
--- /dev/null
+++ b/games-board/scid/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <upstream>
+ <remote-id type="sourceforge">scid</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/games-board/scid/scid-4.5.2.ebuild b/games-board/scid/scid-4.5.2.ebuild
new file mode 100644
index 00000000000..57ac9484fba
--- /dev/null
+++ b/games-board/scid/scid-4.5.2.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit eutils toolchain-funcs gnome2-utils python-any-r1 games
+
+DESCRIPTION="a free chess database application"
+HOMEPAGE="http://scid.sourceforge.net/"
+SRC_URI="mirror://sourceforge/scid/Scid-${PV}.zip
+ mirror://sourceforge/scid/spelling.zip
+ mirror://sourceforge/scid/ratings.zip
+ mirror://sourceforge/scid/photos.zip
+ mirror://sourceforge/scid/scidlet40k.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+CDEPEND="dev-lang/tk:0
+ >=sys-libs/zlib-1.1.3"
+RDEPEND="${CDEPEND}
+ !games-board/chessdb"
+DEPEND="${CDEPEND}
+ ${PYTHON_DEPS}
+ app-arch/unzip"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+ games_pkg_setup
+}
+
+src_unpack() {
+ default
+ mv scid-code-* ${P} || die
+}
+
+src_prepare() {
+ edos2unix engines/togaII1.2.1a/src/Makefile
+ epatch "${FILESDIR}"/${P}-gentoo.patch
+ sed -i \
+ -e "s:@GENTOO_DATADIR@:${GAMES_DATADIR}/${PN}:" \
+ tcl/start.tcl \
+ src/scidlet.cpp \
+ || die "sed failed"
+ gzip ../ratings.ssp
+ python_fix_shebang .
+}
+
+src_configure() {
+ # configure is not an autotools script
+ ./configure \
+ COMPILE="$(tc-getCXX)" \
+ LINK="$(tc-getCXX) ${CXXFLAGS} ${LDFLAGS}" \
+ CC="$(tc-getCC)" \
+ OPTIMIZE="${CXXFLAGS}" \
+ TCL_INCLUDE="" \
+ BINDIR="${GAMES_BINDIR}" \
+ SHAREDIR="${GAMES_DATADIR}/${PN}" \
+ || die "configure failed"
+}
+
+src_compile() {
+ emake all_scid
+}
+
+src_install() {
+ emake DESTDIR="${D}" install_scid
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r sounds
+
+ dodoc ChangeLog TODO
+ dohtml help/*.html
+
+ newicon -s scalable svg/scid_app.svg ${PN}.svg
+ make_desktop_entry scid Scid
+
+ cd .. || die
+ doins spelling.ssp ratings.ssp.gz *.spf
+ newins scidlet40k.sbk scidlet.sbk
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+ elog "To enable speech, emerge dev-tcltk/snack"
+ elog "To enable some piece sets, emerge dev-tcltk/tkimg"
+ elog "To enable Xfcc support, emerge dev-tcltk/tdom"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-board/scid/scid-4.6.0.ebuild b/games-board/scid/scid-4.6.0.ebuild
new file mode 100644
index 00000000000..d2d271f3564
--- /dev/null
+++ b/games-board/scid/scid-4.6.0.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit eutils toolchain-funcs gnome2-utils python-any-r1 games
+
+DESCRIPTION="a free chess database application"
+HOMEPAGE="http://scid.sourceforge.net/"
+SRC_URI="mirror://sourceforge/scid/${P}-ae199eb3496714b50d2cbd204492d61022b2da76.zip -> ${P}.zip
+ mirror://sourceforge/scid/spelling.zip
+ mirror://sourceforge/scid/ratings.zip
+ mirror://sourceforge/scid/photos.zip
+ mirror://sourceforge/scid/scidlet40k.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+CDEPEND="dev-lang/tk:0
+ dev-tcltk/tkimg
+ >=sys-libs/zlib-1.1.3"
+RDEPEND="${CDEPEND}
+ !games-board/chessdb"
+DEPEND="${CDEPEND}
+ ${PYTHON_DEPS}
+ app-arch/unzip"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+ games_pkg_setup
+}
+
+src_unpack() {
+ default
+ mv scid-code-* ${P} || die
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-gentoo.patch
+ edos2unix engines/togaII1.2.1a/src/Makefile
+ sed -i \
+ -e "s:@GENTOO_DATADIR@:${GAMES_DATADIR}/${PN}:" \
+ tcl/start.tcl || die
+ sed -i \
+ -e "/COMPILE.*testzlib/s:\$var(COMPILE):$(tc-getCXX):" \
+ configure || die
+ gzip ../ratings.ssp || die
+ python_fix_shebang .
+}
+
+src_configure() {
+ # configure is not an autotools script
+ ./configure \
+ COMPILE="$(tc-getCXX)" \
+ LINK="$(tc-getCXX) ${CXXFLAGS} ${LDFLAGS}" \
+ CC="$(tc-getCC)" \
+ OPTIMIZE="${CXXFLAGS}" \
+ TCL_INCLUDE="" \
+ BINDIR="${GAMES_BINDIR}" \
+ SHAREDIR="${GAMES_DATADIR}/${PN}" || die
+}
+
+src_compile() {
+ emake all_scid
+}
+
+src_install() {
+ emake DESTDIR="${D}" install_scid
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r sounds
+
+ dodoc ChangeLog TODO
+ dohtml help/*.html
+
+ newicon -s scalable svg/scid_app.svg ${PN}.svg
+ make_desktop_entry scid Scid
+
+ doins ../spelling.ssp ../ratings.ssp.gz ../*.spf
+ newins ../scidlet40k.sbk scidlet.sbk
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+ elog "To enable speech, emerge dev-tcltk/snack"
+ elog "To enable Xfcc support, emerge dev-tcltk/tdom"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-board/scid/scid-4.6.2.ebuild b/games-board/scid/scid-4.6.2.ebuild
new file mode 100644
index 00000000000..45c9e22a21f
--- /dev/null
+++ b/games-board/scid/scid-4.6.2.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit eutils toolchain-funcs gnome2-utils python-any-r1 games
+
+DESCRIPTION="a free chess database application"
+HOMEPAGE="http://scid.sourceforge.net/"
+SRC_URI="mirror://sourceforge/scid/${P}.zip
+ mirror://sourceforge/scid/spelling.zip
+ mirror://sourceforge/scid/ratings.zip
+ mirror://sourceforge/scid/photos.zip
+ mirror://sourceforge/scid/scidlet40k.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+CDEPEND="dev-lang/tk:0
+ dev-tcltk/tkimg
+ >=sys-libs/zlib-1.1.3"
+RDEPEND="${CDEPEND}
+ !games-board/chessdb"
+DEPEND="${CDEPEND}
+ ${PYTHON_DEPS}
+ app-arch/unzip"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+ games_pkg_setup
+}
+
+src_unpack() {
+ default
+ mv scid-src ${P} || die
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-gentoo.patch
+ edos2unix engines/togaII1.2.1a/src/Makefile
+ sed -i \
+ -e "s:@GENTOO_DATADIR@:${GAMES_DATADIR}/${PN}:" \
+ tcl/start.tcl || die
+ sed -i \
+ -e "/COMPILE.*testzlib/s:\$var(COMPILE):$(tc-getCXX):" \
+ configure || die
+ gzip ../ratings.ssp || die
+ python_fix_shebang .
+}
+
+src_configure() {
+ # configure is not an autotools script
+ ./configure \
+ COMPILE="$(tc-getCXX)" \
+ LINK="$(tc-getCXX) ${CXXFLAGS} ${LDFLAGS}" \
+ CC="$(tc-getCC)" \
+ OPTIMIZE="${CXXFLAGS}" \
+ TCL_INCLUDE="" \
+ BINDIR="${GAMES_BINDIR}" \
+ SHAREDIR="${GAMES_DATADIR}/${PN}" || die
+}
+
+src_compile() {
+ emake all_scid
+}
+
+src_install() {
+ emake DESTDIR="${D}" install_scid
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r sounds
+
+ dodoc ChangeLog TODO
+ dohtml help/*.html
+
+ newicon -s scalable svg/scid_app.svg ${PN}.svg
+ make_desktop_entry scid Scid
+
+ doins ../spelling.ssp ../ratings.ssp.gz ../*.spf
+ newins ../scidlet40k.sbk scidlet.sbk
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+ elog "To enable speech, emerge dev-tcltk/snack"
+ elog "To enable Xfcc support, emerge dev-tcltk/tdom"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}